## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 21;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# testsuite missing deps: test-framework test-framework-hunit

Name:           bustle
Version:        0.8.0
Release:        %autorelease
Summary:        Draw sequence diagrams of D-Bus traffic

License:        LGPL-2.1-or-later
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources
# taken from ghc-hgettext
Patch0:         bustle-hgettext-Cabal24.patch
# https://gitlab.freedesktop.org/bustle/bustle/-/merge_requests/21
Patch1:         https://gitlab.freedesktop.org/bustle/bustle/-/merge_requests/21.patch
Patch2:         bustle-mtl-2.3.patch

Requires:       gnome-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  help2man
# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gio-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk3-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pango-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
# End cabal-rpm deps
BuildRequires:  make

%description
Bustle records and draws sequence diagrams of D-Bus activity, showing signal
emissions, method calls and their corresponding returns, with timestamps for
each individual event and the duration of each method call. This can help you
check for unwanted D-Bus traffic, and pinpoint why your D-Bus-based application
isn't performing as well as you like. It also provides statistics like signal
frequencies and average method call times.


%prep
# Begin cabal-rpm setup:
%setup -q
%autopatch -p1
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
# End cabal-rpm install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSTALL="install -p" install
#%%find_lang %%{name}

rm %{buildroot}%{_datadir}/%{name}-%{version}/LICENSE


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.freedesktop.Bustle.desktop


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CONTRIBUTING.md NEWS.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
# End cabal-rpm files
%{_bindir}/%{name}-pcap
%{_datadir}/appdata/org.freedesktop.Bustle.appdata.xml
%{_datadir}/applications/org.freedesktop.Bustle.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/%{name}-pcap.1*


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 02 2024 Jens Petersen <petersen@redhat.com> - 0.8.0-20
- fix build with mtl-2.3

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Jens Petersen <petersen@redhat.com> - 0.8.0-18
- refresh to cabal-rpm-2.2.1

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 29 2023 Jens Petersen <petersen@redhat.com> - 0.8.0-15
- bump release

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Feb 19 2023 Jens Petersen <petersen@redhat.com> - 0.8.0-6
- add upstream patch for libpcap-1.10.2+
- tweak bustle-hgettext-Cabal24.patch for CabalSpecVersion
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.8.0-4
- rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.8.0-1
- update to 0.8.0

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Jens Petersen <petersen@redhat.com> - 0.7.5-5
- re-enable ppc64le

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.7.5-4
- refresh to cabal-rpm-2.0.6

* Thu Feb 20 2020 Jens Petersen <petersen@redhat.com> - 0.7.5-3
- refresh to cabal-rpm-2.0.2
- re-enable hgettext

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Oct  8 2019 Jens Petersen <petersen@redhat.com> - 0.7.5-1
- update to 0.7.5
- exclude ppc64le because of #1737587

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 0.7.4-1
- update to 0.7.4
- disable redundant hgettext

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 22 2018 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- rebuild for static executable

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- update to 0.7.1

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.6.2-1
- update to 0.6.2

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.4-7
- Remove obsolete scriptlets

* Mon Aug 14 2017 Jens Petersen <petersen@redhat.com> - 0.5.4-6
- reenable i686 (#1427000)

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 0.5.4-3
- refresh to cabal-rpm-0.11.1
- exclude i686 due to missing deps (gcc7 __float128)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- update to 0.5.4

* Mon Mar  7 2016 Jens Petersen <petersen@redhat.com> - 0.4.8-7
- rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 22 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-5
- rebuild

* Fri Jul  3 2015 Philip Withnall <philip@tecnocode.co.uk> - 0.4.8-4
- Rebuilt for ghc-setlocale 1.0.0.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 20 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-2
- rebuild

* Thu Apr  2 2015 Jens Petersen <petersen@redhat.com> - 0.4.8-1
- update to 0.4.8

* Sat Feb 14 2015 Jens Petersen <petersen@redhat.com> - 0.4.7-6
- patch from git to build with pango/glib 0.13

* Fri Dec 12 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-5
- Rebuilt for libHSbase changes

* Sun Sep 21 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-4
- Rebuilt for ghc-setlocale 1.0.0.1

* Mon Sep  8 2014 Jens Petersen <petersen@redhat.com> - 0.4.7-3
- rebuild (for libHSdbus bump)

* Mon Sep 1 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-2
- Rebuilt for ghc-setlocale 1.0.0

* Tue Aug 12 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.4.7-1
- spec file generated by cabal-rpm-0.8.11

## END: Generated by rpmautospec
